NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::DiagrammingLibraryAuthor::PortDataBuilder Class Reference

Represents a PortDataBuilder. More...

Inheritance diagram for NXOpen::DiagrammingLibraryAuthor::PortDataBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::DiagrammingLibraryAuthor::AttributeHolderCreatePort ()
 Creates a new port. More...
 
void DeletePort (NXOpen::DiagrammingLibraryAuthor::AttributeHolder *portObject)
 Deletes the port which is new created
Created in NX11.0.1. More...
 
NXOpen::Point2d GetConnectionDirection (NXOpen::DiagrammingLibraryAuthor::AttributeHolder *portObject)
 Gets the connection direction. More...
 
NXOpen::Point2d GetPointLocation (NXOpen::DiagrammingLibraryAuthor::AttributeHolder *portObject)
 Gets the port location. More...
 
void GetPortObjects (std::vector< NXOpen::DiagrammingLibraryAuthor::AttributeHolder * > &portObjects)
 Gets the port objects which have user attributes of the port. More...
 
bool NozzleBottom ()
 Returns the nozzle in the bottom edge. More...
 
bool NozzleLeft ()
 Returns the nozzle in the left edge. More...
 
bool NozzleRight ()
 Returns the nozzle in the right edge. More...
 
bool NozzleTop ()
 Returns the nozzle in the top edge
Created in NX11.0.1. More...
 
void SetConnectionDirection (NXOpen::DiagrammingLibraryAuthor::AttributeHolder *portObject, const NXOpen::Point2d &connectionDirection)
 Sets the connection direction
Created in NX11.0.1. More...
 
void SetNozzleBottom (bool nozzleBottom)
 Sets the nozzle in the bottom edge. More...
 
void SetNozzleLeft (bool nozzleLeft)
 Sets the nozzle in the left edge. More...
 
void SetNozzleRight (bool nozzleRight)
 Sets the nozzle in the right edge. More...
 
void SetNozzleTop (bool nozzleTop)
 Sets the nozzle in the top edge
Created in NX11.0.1. More...
 
void SetPointLocation (NXOpen::DiagrammingLibraryAuthor::AttributeHolder *portObject, const NXOpen::Point2d &portLocation)
 Sets the port location
Created in NX11.0.1. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a PortDataBuilder.


Created in NX11.0.1.

Member Function Documentation

NXOpen::DiagrammingLibraryAuthor::AttributeHolder* NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::CreatePort ( )

Creates a new port.

Returns
the port object
Created in NX11.0.1.

License requirements : None
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::DeletePort ( NXOpen::DiagrammingLibraryAuthor::AttributeHolder portObject)

Deletes the port which is new created
Created in NX11.0.1.



License requirements : None

Parameters
portObjectthe port object, only accept the object which is got by NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::CreatePort
NXOpen::Point2d NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetConnectionDirection ( NXOpen::DiagrammingLibraryAuthor::AttributeHolder portObject)

Gets the connection direction.

Returns
the connection direction
Created in NX11.0.1.

License requirements : None
Parameters
portObjectthe port object, only accept the object which is got by NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetPortObjects or NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::CreatePort
NXOpen::Point2d NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetPointLocation ( NXOpen::DiagrammingLibraryAuthor::AttributeHolder portObject)

Gets the port location.

Returns
the port location
Created in NX11.0.1.

License requirements : None
Parameters
portObjectthe port object, only accept the object which is got by NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetPortObjects or NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::CreatePort
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetPortObjects ( std::vector< NXOpen::DiagrammingLibraryAuthor::AttributeHolder * > &  portObjects)

Gets the port objects which have user attributes of the port.


Created in NX11.0.1.

License requirements : None

Parameters
portObjectsthe port objects
bool NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::NozzleBottom ( )

Returns the nozzle in the bottom edge.


Created in NX11.0.1.

License requirements : None

bool NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::NozzleLeft ( )

Returns the nozzle in the left edge.


Created in NX11.0.1.

License requirements : None

bool NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::NozzleRight ( )

Returns the nozzle in the right edge.


Created in NX11.0.1.

License requirements : None

bool NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::NozzleTop ( )

Returns the nozzle in the top edge
Created in NX11.0.1.



License requirements : None

void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::SetConnectionDirection ( NXOpen::DiagrammingLibraryAuthor::AttributeHolder portObject,
const NXOpen::Point2d connectionDirection 
)

Sets the connection direction
Created in NX11.0.1.



License requirements : None

Parameters
portObjectthe port object, only accept the object which is got by NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetPortObjects or NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::CreatePort
connectionDirectionthe connection direction
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::SetNozzleBottom ( bool  nozzleBottom)

Sets the nozzle in the bottom edge.


Created in NX11.0.1.

License requirements : None

Parameters
nozzleBottomnozzlebottom
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::SetNozzleLeft ( bool  nozzleLeft)

Sets the nozzle in the left edge.


Created in NX11.0.1.

License requirements : None

Parameters
nozzleLeftnozzleleft
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::SetNozzleRight ( bool  nozzleRight)

Sets the nozzle in the right edge.


Created in NX11.0.1.

License requirements : None

Parameters
nozzleRightnozzleright
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::SetNozzleTop ( bool  nozzleTop)

Sets the nozzle in the top edge
Created in NX11.0.1.



License requirements : None

Parameters
nozzleTopnozzletop
void NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::SetPointLocation ( NXOpen::DiagrammingLibraryAuthor::AttributeHolder portObject,
const NXOpen::Point2d portLocation 
)

Sets the port location
Created in NX11.0.1.



License requirements : None

Parameters
portObjectthe port object, only accept the object which is by NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::GetPortObjects or NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::CreatePort
portLocationthe port location
virtual bool NXOpen::DiagrammingLibraryAuthor::PortDataBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.